axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Xinjun Chen" <xjchen...@gmail.com>
Subject [Axis2] Migrate from Axis2 0.94 to Axis2 1.0
Date Wed, 27 Sep 2006 09:01:58 GMT
Hi,
I have an application which works fine with Axis2 0.94.
Yesterday I tried to migrate the Axis2 lib to 1.0. Then I get some error
messages I cannot understand.

The error message is:
unknown attr1.3.6.1.4.1.311.17.1
org.apache.ws.security.WSSecurityException: Signature creation failed
(Cannot setup signature data structure)
        at org.apache.ws.security.message.WSSecSignature.prepare(
WSSecSignature.java:323)
        at org.apache.ws.security.message.WSSecSignature.build(
WSSecSignature.java:643)
        ...

I googled "unknown attr1.3.6.1.4.1.311.17.1" and find it is something
related to interoperability issues on PKCS12 between Microsoft and Sun JDK.
But my question is that previously when I use Axis2 0.94 it is ok.

Can you shed some lights on this?


Regards,
Xinjun

Mime
View raw message